#!/bin/bash

sconfig_common

# 检查命令是否存在
if npu-smi >/dev/null 2>&1; then
    echo "npu-smi命令存在, 使用ASCEND_RT_VISIBLE_DEVICES执行相关操作..."
    # 在这里执行需要的操作
    ASCEND_RT_VISIBLE_DEVICES=1 gunicorn --env MODEL_PATH="./wwd123/sadtalker" sadtalker_server:app -n sadtalker_api -c sadtalker.conf.py --daemon
    exit 0
else
    echo "npu-smi命令不存在, 跳过该部分脚本。"
fi

# 检查命令是否存在
if cnmon >/dev/null 2>&1; then
    echo "cnmon命令存在, 使用MLU_VISIBLE_DEVICES执行相关操作..."
    # 在这里执行需要的操作
    MLU_VISIBLE_DEVICES=1 gunicorn --env MODEL_PATH="./wwd123/sadtalker" sadtalker:app -n sadtalker_api -c sadtalker.conf.py --daemon
    exit 0
else
    echo "cnmon命令不存在, 跳过该部分脚本。"
fi

CUDA_VISIBLE_DEVICES=1 gunicorn --env MODEL_PATH="./wwd123/sadtalker" sadtalker_server:app -n sadtalker_api -c sadtalker.conf.py --daemon
